Mailrelay API Reference

Get a single SMS sent message

GET https://{account}/api/v1/sms/sent_messages/{id}

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

Get a single SMS sent message

Parameters

NameTypeRequiredDescription
id integer Yes ID of the record

Responses

StatusDescription
200 Success
404 Couldn't find record with provided ID.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.

Response fields

NameTypeDescription
id integer Id
subscriber_id integer Subscriber
phone string Phone
country string Country
status string Status
created_at string Created at
processed_at string Processed at
delivered_at string Delivered at
used_credits number Used credits
parts_count integer Parts count
unsubscribe_events array Unsubscribe events